Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.component
Class InternalComponentManager.RoutableComponent

    java.lang.Object
      org.jivesoftware.openfire.component.InternalComponentManager.RoutableComponent

All Implemented Interfaces:
  ChannelHandler, RoutableChannelHandler

Enclosing class:
  InternalComponentManager

    public static class InternalComponentManager.RoutableComponent

extends Object
implements RoutableChannelHandler

Exposes a Component as a RoutableChannelHandler.

Constructor Summary
`InternalComponentManager.RoutableComponent(JID jid, Component component)`

Method Summary
`JID` | `getAddress()` Returns the XMPP address.
`void` | `process(Packet packet)` Process an XMPP packet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalComponentManager.RoutableComponent

    public InternalComponentManager.RoutableComponent(JID jid,
                                                      Component component)

Method Detail

### getAddress

    public JID getAddress()

  Description copied from interface: `RoutableChannelHandler`
  Returns the XMPP address. The address is used by services like the core server packet router to determine if a packet should be sent to the handler. Handlers that are working on behalf of the server should use the generic server hostname address (e.g. server.com).

  Specified by:
    `getAddress` in interface `RoutableChannelHandler`
  Returns:
    the XMPP address.

### process

    public void process(Packet packet)
                 throws PacketException

  Description copied from interface: `ChannelHandler`
  Process an XMPP packet.

  Specified by:
    `process` in interface `ChannelHandler`
  Parameters:
    `packet` - a packet to process.
  Throws:
    `PacketException` - thrown if the packet is malformed (results in the sender's session being shutdown).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.